Name:           fcoe-utils
Version:        1.0.7
Release:        3%{?dist}
Summary:        Fibre Channel over Ethernet utilities

Group:          Applications/System
License:        GPLv2
URL:            http://www.open-fcoe.org
Source0:        http://www.open-fcoe.org/openfc/downloads/%{name}-%{version}.tar.gz
Patch0:         fcoe-utils-1.0.7-init.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:    libhbaapi-devel dcbd-devel
Requires:         dcbd
Requires(post):   chkconfig
Requires(preun):  chkconfig initscripts
Requires(postun): initscripts

%description
Fibre Channel over Ethernet utilities
fcoeadm - command line tool for configuring FCoE interfaces
fcoemon - service to configure DCB Ethernet QOS filters, works with dcbd

%prep
%setup -q
%patch0 -p1 -b .initPatch


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_initddir}
mv $RPM_BUILD_ROOT/etc/init.d/fcoe $RPM_BUILD_ROOT%{_initddir}/fcoe-utils
rm -rf $RPM_BUILD_ROOT/etc/init.d


%clean
rm -rf $RPM_BUILD_ROOT


%post
/sbin/chkconfig --add fcoe-utils

%preun
if [ $1 = 0 ]; then
        /sbin/service fcoe-utils stop > /dev/null 2>&1
        /sbin/chkconfig --del fcoe-utils
fi

%postun
if [ "$1" -ge "1" ]; then
        /sbin/service fcoe-utils condrestart > /dev/null  2>&1 || :
fi


%files
%defattr(-,root,root,-)
%doc README COPYING
%{_sbindir}/*
%{_mandir}/man8/*
%{_sysconfdir}/fcoe/scripts/fcoeplumb
%dir %{_sysconfdir}/fcoe/
%dir %{_sysconfdir}/fcoe/scripts/
%config(noreplace) %{_sysconfdir}/fcoe/config
%config(noreplace) %{_sysconfdir}/fcoe/cfg-ethx
%{_initrddir}/fcoe-utils


%changelog
* Wed Apr 8 2009 Jan Zeleny <jzeleny@redhat.com> - 1.0.7-3
- more minor corrections in spec file

* Thu Apr 2 2009 Jan Zeleny <jzeleny@redhat.com> - 1.0.7-2
- minor corrections in spec file
- moved init script to correct location
- correction in the init script (chkconfig directives)

* Mon Mar 2 2009 Chris Leech <christopher.leech@intel.com> - 1.0.7-1
- initial rpm build of fcoe tools

